
Redmine - Defect #10261

Export CSV or PDF error

2012-02-17 13:28 - barista chang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: PDF export Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 1.2.1

Description

Dears

When I export to PDF or CSV ,it will occur the error as following stack trace.

I try to modify pdf.ruby file,but don't know how to build it.

Is any step to fix this problem for "Big-5" issue?

------------------------------

database version : MySQL 5.1

Ruby version :ruby 1.8.7

Rails version :Rails 2.3.11

Redmine version :redmine-1.2.1

------------------------------

error stack trace:

Processing IssuesController#index to pdf (for * at 2012-02-17 20:22:06) [GET]

Parameters: {"format"=>"pdf", "project_id"=>"proj", "action"=>"index", "controller"=>"issues"}

Iconv::InvalidEncoding (invalid encoding ("BIG5", "UTF-8")):

lib/redmine/export/pdf.rb:40:in `initialize'

lib/redmine/export/pdf.rb:40:in `new'

lib/redmine/export/pdf.rb:40:in `initialize'

lib/redmine/export/pdf.rb:146:in `new'

lib/redmine/export/pdf.rb:146:in `issues_to_pdf'

app/controllers/issues_controller.rb:96:in `index'

app/controllers/issues_controller.rb:91:in `index'

/usr/local/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'

/usr/local/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'

/usr/local/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'

/usr/local/lib/ruby/1.8/webrick/server.rb:162:in `start'

/usr/local/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'

/usr/local/lib/ruby/1.8/webrick/server.rb:95:in `start'

/usr/local/lib/ruby/1.8/webrick/server.rb:92:in `each'

/usr/local/lib/ruby/1.8/webrick/server.rb:92:in `start'

/usr/local/lib/ruby/1.8/webrick/server.rb:23:in `start'

/usr/local/lib/ruby/1.8/webrick/server.rb:82:in `start'

Rendering /opt/redmine/public/500.html (500 Internal Server Error)

History

#1 - 2012-02-17 14:20 - Toshi MARUYAMA

It seems your iconv does not support Big-5.

Try following command.

$ irb

irb(main):001:0> require 'iconv'

=> true

irb(main):002:0> Iconv.conv('BIG5', 'UTF-8', "繁体字")

=> "\301c\312^\246r" 

irb(main):003:0> Iconv.conv('BIG-5', 'UTF-8', "繁体字")

=> "\301c\312^\246r" 

irb(main):004:0> quit
#2 - 2012-02-20 02:19 - barista chang

- Assignee set to Toshi MARUYAMA

Toshi MARUYAMA wrote:

It seems your iconv does not support Big-5.

Try following command.

[...]

 Dears，

commands return the following message

linux> irb

irb(main):001:0> require 'iconv'

=> true

irb(main):002:0> Iconv.conv('BIG5', 'UTF-8', "繁体字")

Iconv::InvalidEncoding: invalid encoding ("BIG5", "UTF-8")

from (irb):2:in `conv'

from (irb):2

from :0

irb(main):003:0> Iconv.conv('BIG-5', 'UTF-8', "繁体字")

Iconv::InvalidEncoding: invalid encoding ("BIG-5", "UTF-8")

from (irb):3:in `conv'

from (irb):3

from :0

#3 - 2012-02-20 02:55 - Toshi MARUYAMA

- Assignee deleted (Toshi MARUYAMA)

#4 - 2012-02-20 02:56 - Toshi MARUYAMA

It seems your system has no BIG-5 data.

On Fedora 12.

$ locate BIG5 | grep /usr

/usr/lib/gconv/BIG5.so

/usr/lib/gconv/BIG5HKSCS.so

/usr/lib/gconv/GBBIG5.so

/usr/lib/perl5/vendor_perl/5.10.0/i386-linux-thread-multi/Unicode/Map/EASTASIA/BIG5.map

/usr/share/i18n/charmaps/BIG5-HKSCS.gz

/usr/share/i18n/charmaps/BIG5.gz

#5 - 2012-02-20 11:03 - barista chang

- Status changed from New to Resolved

Dears install gconv module will resolve this problem,thanks!

#6 - 2012-02-20 12:11 - Toshi MARUYAMA

- Status changed from Resolved to Closed
